.TH nneigh_class  "Julay 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
nneigh_class - implements the nearest neighbour classification in multi-dimension.

.SH CALLING SEQUENCE
.nf
[classes,cert] = nneigh_class(x, xlearn, labels).
.fi

.SH PARAMETERS
.TP 14
x        :       
a n1*n2 matrix with indices of (n2)data points to be classified
(of n1-dimension) as its elements.
.TP 14
xlearn   : 
n1 times m - matrix consisting of learning points
.TP 14
labels   :
m-vector of integer class-labels		    
.TP 14
classes  :      
n2-vector of estimated class memberships.
.TP 14
cert     :      
n2-vector of certainty measures for the classifications.

.SH DESCRIPTION
\fVnneigh_class\fR implementation of nearest neighbour classification in 
 arbitrary dimensions and arbitrary classes. As heuristic certainty measure 
 simly exp(-sqr(d)) is used.

.SH EXAMPLE 
.nf 
//2-dimensional data		    
x = rand(2,50);
xlearn = randnormal([1 2], eye(2,2), 25);
labels = [1 2 2 3 1 2 1 3 4 1 4 1 4 2 4 4 1 3 1 3 4 1 3 1 3];		    
[classes,cert] = nneigh_class_2d(x, xlearn, labels);
.fi

.SH SEE ALSO
nneigh_class_2d, bayes_class_2d, dumb_class_2d, bayes_class, polynom_class

.SH AUTHOR
Bhaskara Reddy Poluru


