.TH randnormal  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
randnormal - generation of arbitrary dimensional normally distributed random data

.SH CALLING SEQUENCE
.nf
res = randnormal(m, K [,n])
.fi

.SH PARAMETERS
.TP 10
m    :      
mean vector of length L.
.TP 10
K    :      
covariance matrix(an L x L square matrix).
.TP 10
n    :
number of the learning data points to be generated, default value is 1000.
.TP 10
res  :      
learning data points with length of the mean vector as its dimension.

.SH DESCRIPTION
\fVrandnormal\fR generates arbitrary dimensional normally distributed 
random data. the result can be used as the Xlearn data in the nneigh 
class, polynom_class etc. 

.SH EXAMPLE 
.nf 
m = [1 2];
K = eye(2,2);
//n has default value 1000
res = randnormal(m, K);  
.fi

.SH SEE ALSO
bayes_class, nneigh_class, polynom_class

.SH AUTHOR
Bhaskara Reddy Poluru


